# safe_sequence.h File Reference

## Detailed Description

This file is a GNU debug extension to the Standard C++ Library.

Definition in file safe_sequence.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_debug

## Classes

- class __gnu_debug::_After_nth_from< _Iterator >
- class __gnu_debug::_Not_equal_to< _Type >
- class __gnu_debug::_Safe_sequence< _Sequence >
    Base class for constructing a "safe" sequence type that tracks iterators that reference it. More...

## Defines

- #define _GLIBCXX_DEBUG_SAFE_SEQUENCE_H